
QGIS Application - Bug report #2391

Layer properties dialog and Unique Value: cannot see which bitmap is used

2010-01-25 07:22 AM - luca76 -

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 12451

Description

If you have a point layer and you use Unique value with different bitmap, you cannot see which bitmap is used to each value (in the "Point

Symbol" list area).

History

#1 - 2010-01-26 10:14 AM - Giovanni Manghi

(If I get it right) I cannot replicate the problem under linux/qgis trunk. Can you explain the issue in a more detailed way?

#2 - 2010-06-12 02:17 AM - Paolo Cavallini

- Resolution set to worksforme

- Status changed from Open to Closed

Closing it because of missing user feedback. Please reopen it if necessary.

#3 - 2010-06-28 05:19 AM - luca76 -

- Resolution deleted (worksforme)

- Status changed from Closed to Feedback

Sorry for my late response.

It still doesn't work in latest trunk:

1. load a point shapefile

 1. open the layer properties and open symbology (use the old symbology)

 1. select "Unique values" 

 1. get two values and assign different symbol to them

close the dialog box and reopen the layer properties. When you select the two values on the list, the corresponding symbol on "Point Symbol" box is not

selected.

For me it is a usability bug, you can fix it in 1.6.0 if you want.

See the attachments.
#4 - 2010-06-28 05:30 AM - Jürgen Fischer

- Status changed from Feedback to Open

#5 - 2010-06-28 02:16 PM - Jürgen Fischer

Replying to [comment:5 trapanator]:

Sorry for my late response.

It still doesn't work in latest trunk:

Works fine for me.

#6 - 2010-06-29 03:03 AM - luca76 -

- Status changed from Open to Closed

- Resolution set to worksforme

strange... you are right.

	

It does work with a new project, using an old imported from 1.4.0 does not...

	

closing this bug.

Files

qgis-symbol-1.JPG 186 KB 2010-06-28 luca76 -

qgis-symbol-2.JPG 187 KB 2010-06-28 luca76 -
